Page MenuHomePhabricator

Flow: Can not proceed past CAPTCHA (when submitting new topic)
Closed, ResolvedPublic

Description

When using the CAPTCHA 'edit' trigger, I can't seem to get it proceed. It just keeps re-displaying the submitted text.


Could this be related to T94915: Account creation via API appears to be broken (since this is another api.php CAPTCHA consumer?)

Event Timeline

Mattflaschen-WMF raised the priority of this task from to High.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2015, 10:29 PM

I think the text also triggered the addurl trigger, so maybe that confused it somehow?

Only for flow posts? :/

(I think you get an error message, that the captcha wasn't solved correctly?)

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 1 2015, 10:05 PM

Only for flow posts? :/

Yes, hopefully.

(I think you get an error message, that the captcha wasn't solved correctly?)

I'm fairly certain I solved it correctly. I tried a few times, too.

Florian claimed this task.Apr 2 2015, 4:21 PM
In T94276#1172282, @Mattflaschen wrote:

Only for flow posts? :/

Yes, hopefully.

I tested it, yes, only new flow topics.

(I think you get an error message, that the captcha wasn't solved correctly?)

I'm fairly certain I solved it correctly. I tried a few times, too.

Sorry for the confusion, i meant, if you get an exception or something else, or an error message like "You haven't solved the captcha" :)

I think i know, where the problem, is, i need to verify it and upload a patch than :)

Change 201483 had a related patch set uploaded (by Florianschmidtwelzow):
Fix passCaptcha() when using it twice in one session

https://gerrit.wikimedia.org/r/201483

Change 201483 merged by jenkins-bot:
Fix passCaptcha() when using it twice in one session

https://gerrit.wikimedia.org/r/201483

Florian closed this task as Resolved.Apr 2 2015, 6:15 PM
Mattflaschen-WMF set Security to None.

@Mattflaschen

Could this be related to T94915: Account creation via API appears to be broken (since this is another api.php CAPTCHA consumer?)

Not really, this shouldn't work before this change, too :/